Claudio Cherubino's blog Life of a Googler

13Jul/071

GoPHP5

GoPHP5 Logo

La versione 5 di PHP è stata rilasciata pubblicamente 3 anni fa, eppure, nonostante i grandissimi passi avanti rispetto alla versione precedente, ancora la sua diffusione è molto bassa.

Il problema del passaggio a PHP5 non è solo tecnico ma anche "politico", infatti moltissime applicazioni disponibili su Internet non sono compatibili con la nuova versione del linguaggio e i siti di hosting non vogliono rischiare di essere abbandonati dai propri utenti perchè i loro programmi non girano più.

Ci voleva quindi una iniziativa forte che "obbligasse" gli sviluppatori delle applicazioni PHP più diffuse a sforzarsi per renderle compatibili con PHP5, facilitando quindi la transizione ai provider.

Questa iniziativa adesso esiste e si chiama GoPHP5, e propone come scadenza per l'adozione di PHP 5.2.0 (o successivi) il 5 Febbraio 2008.
Hanno già  aderito in molti, ad esempio phpMyAdmin o Drupal.

Io personalmente non posso che essere felice di questo passaggio, da un paio di anni per le mie applicazioni uso solo PHP5, ma sviluppando software custom mi è molto più facile richiedere l'installazione dei pacchetti che mi servono.

E voi? Avete poco più di 200 giorni per adeguarvi...

Tagged as: , Leave a comment
Comments (1) Trackbacks (0)
  1. Era ora che si facesse qualcosa di concreto per php5, anch’io sviluppo solo con questa versione e mi trovo benissimo!

    Passate tutti a php5, adesso!


Leave a comment

(required)

No trackbacks yet.